declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & (new () => {
    $slots: S;
});
declare const __VLS_component: import("vue").DefineComponent<{}, {
    $emit: (event: "click-action" | "click-delete" | "update-snapshot", ...args: any[]) => void;
    type: string;
    size: string;
    tagStyle: string;
    targetTitle: string;
    targetDeadline: string;
    comments: string;
    interviewLocked: boolean;
    answerLabel: string;
    commentLabel: string;
    isFinalUpdate: boolean;
    interviewStatus: string;
    noDeadlineText: string;
    createPrependicon: string;
    deleteIcon: string;
    infoText: string;
    buttonText: string;
    buttonVariant: string;
    deleteButtonVariant: string;
    targetDescription: string;
    targetObjectiveIndicator: Record<string, any>;
    tooltipOneContent: string;
    tooltipTwoContent: string;
    variableLabelOne: string;
    variableLabelTwo: string;
    hasEmployeeSuggestion: boolean;
    hasManagerOrCrossedSuggestion: boolean;
    hasManagerOrCrossedSuggestionAndSubmitted: boolean;
    $props: {
        readonly type?: string | undefined;
        readonly size?: string | undefined;
        readonly tagStyle?: string | undefined;
        readonly targetTitle?: string | undefined;
        readonly targetDeadline?: string | undefined;
        readonly comments?: string | undefined;
        readonly interviewLocked?: boolean | undefined;
        readonly answerLabel?: string | undefined;
        readonly commentLabel?: string | undefined;
        readonly isFinalUpdate?: boolean | undefined;
        readonly interviewStatus?: string | undefined;
        readonly noDeadlineText?: string | undefined;
        readonly createPrependicon?: string | undefined;
        readonly deleteIcon?: string | undefined;
        readonly infoText?: string | undefined;
        readonly buttonText?: string | undefined;
        readonly buttonVariant?: string | undefined;
        readonly deleteButtonVariant?: string | undefined;
        readonly targetDescription?: string | undefined;
        readonly targetObjectiveIndicator?: Record<string, any> | undefined;
        readonly tooltipOneContent?: string | undefined;
        readonly tooltipTwoContent?: string | undefined;
        readonly variableLabelOne?: string | undefined;
        readonly variableLabelTwo?: string | undefined;
        readonly hasEmployeeSuggestion?: boolean | undefined;
        readonly hasManagerOrCrossedSuggestion?: boolean | undefined;
        readonly hasManagerOrCrossedSuggestionAndSubmitted?: boolean | undefined;
    };
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
type __VLS_TemplateResult = {
    slots: {
        "employee-suggestion"?(_: {}): any;
        "manager-cross-suggestion"?(_: {}): any;
        "manager-cross-suggestion-submitted"?(_: {}): any;
    };
    refs: {};
    attrs: Partial<typeof __VLS_inheritedAttrs>;
};
declare var __VLS_inheritedAttrs: {};
